Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 157116 - CAN-2005-1061 logwatch log processing regular expression DoS
Summary: CAN-2005-1061 logwatch log processing regular expression DoS
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora Legacy
Classification: Retired
Component: logwatch
Version: rhl7.3
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Fedora Legacy Bugs
QA Contact:
URL: http://cve.mitre.org/cgi-bin/cvename....
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-06 23:54 UTC by Dominic Hargreaves
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-08-30 20:04:15 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 137502 None None None Never

Description Dominic Hargreaves 2005-05-06 23:54:21 UTC
The secure script in LogWatch before 2.6-2 allows attackers to prevent LogWatch
from detecting malicious activity via certain strings in the secure file that
are later used as part of a regular expression, which causes the parser to
crash, aka "logwatch log processing regular expression DoS."

Probably affects at least rh 7.3.

Comment 1 Jesse Keating 2007-08-30 20:04:15 UTC
Fedora Legacy project has ended.  These will not be fixed by Fedora Legacy.


Note You need to log in before you can comment on or make changes to this bug.